#!/usr/bin/env node

// src/index.ts
import { McpServer } from "@modelcontextprotocol/sdk/server/mcp.js";
import { StdioServerTransport } from "@modelcontextprotocol/sdk/server/stdio.js";
import { z } from "zod";
var server = new McpServer({
  name: "Anki MCP Server",
  version: "0.1.0",
  description: "MCP server for integrating with Anki flashcards"
});
server.tool("ping", {}, async () => ({
  content: [{ type: "text", text: "pong" }]
}));
server.tool("echo", { message: z.string() }, async ({ message }) => ({
  content: [{ type: "text", text: message }]
}));
server.tool("calculate", { expression: z.string() }, async ({ expression }) => {
  try {
    const result = eval(expression);
    return {
      content: [{ type: "text", text: `Result: ${result}` }]
    };
  } catch (error) {
    const errorMessage = error instanceof Error ? error.message : String(error);
    return {
      content: [{ type: "text", text: `Error evaluating expression: ${errorMessage}` }]
    };
  }
});
var transport = new StdioServerTransport();
await server.connect(transport);
//# sourceMappingURL=index.js.map